Aml.Editor.Plugin.MWData Class Reference
Inheritance diagram for Aml.Editor.Plugin.MWData:

## Classes

class | MWObject

## Public Types

enum | MWFileType { MWFileType.IODD, MWFileType.GSD }

## Public Member Functions

| MWData (MWController mWController)
| Create the MWData Object More...
string | CreateDevice (MWDevice device, bool isEdit)
| Create the AMLX File with the correct AML File and optional pictures More...
void | SearchForAttributesInsideAttributesofAutomationComponent (string searchName, AttributeType attribute, ClassOfListsFromReferencefile item, SupportedRoleClassType SRC)
void | SearchAttributesInsideAttributesOFElectricConnectorType (string searchName, AttributeType attribute, ClassOfListsFromReferencefile item, ExternalInterfaceType electricConnectorType)
void | interneturl (string url, string urltype, string externalname, SystemUnitClassType systemUnitClass)
| Takes the url of the picture and setup in the value attribute of the corresponding internal element pic . More...
Uri | createPictureRef (string pic, string pictype, string externalname, SystemUnitClassType systemUnitClass)
| Creates the Structur to reference a picture and set the correct value pic . More...
Uri | createDocumentRef (string doc, string doctype, string externalname, SystemUnitClassType systemUnitClass)
| Creates the Structur to reference a document and set the correct value doc . More...
string | ImportIODD2AML (string filename)
| Calls the iodd2aml Converter using System.Reflection the converted iodd will be saved in an amlx More...
string | ImportGSD2AML (string filename)
| Calls the gsd2aml Converter using System.Reflection the converted gsdml will be saved in an amlx More...
void | copyFiles (string sourceFilePath, string destinationFilePath)
Public Member Functions inherited from Aml.Editor.Plugin.DeviceDescription
| DeviceDescription ()
| Constructor with no arguments that intilizes Device Description GUI More...
| DeviceDescription (MWController mWController)
| This is a constructor of this class with MWControlle rargument. More...
void | loadStandardLibrary ()
| This function loads "Interface Class Libraries" and"Role Class Libraries" from already defined libaraies in plugin or, libraries from the AML file those user want ot load from local machine. More...
void | checkForAutomtionComponent ()
void | clear ()
void | searchForComponentNames (AttributeType classType)
void | ClearHeaderTabPageValuesofElectricalInterfaces ()
void | ClearHeaderTabPageValuesofgenericData ()
void | selectLibrary (byte[] file)

## Additional Inherited Members

Public Attributes inherited from Aml.Editor.Plugin.DeviceDescription
bool | dragging = false
Protected Member Functions inherited from Aml.Editor.Plugin.DeviceDescription
override void | Dispose (bool disposing)
| Clean up any resources being used. More...
Properties inherited from Aml.Editor.Plugin.DeviceDescription
object | row `[get]`

## Member Enumeration Documentation

## MWFileType

enum Aml.Editor.Plugin.MWData.MWFileType

strong

Enumerator
IODD |
GSD |

## Constructor & Destructor Documentation

## MWData()

Aml.Editor.Plugin.MWData.MWData | ( | MWController | mWController | ) |

inline

Create the MWData Object

Parameters

  mWController | the MWController to report to

## Member Function Documentation

## copyFiles()

void Aml.Editor.Plugin.MWData.copyFiles | ( | string | sourceFilePath,
|  | string | destinationFilePath
| ) |  |

inline

## CreateDevice()

string Aml.Editor.Plugin.MWData.CreateDevice | ( | MWDevice | device,
|  | bool | isEdit
| ) |  |

inline

Create the AMLX File with the correct AML File and optional pictures

Parameters

  device | The device which will be created
  isEdit | true if an amlx file get update, false if a new file will be created

Returns

## createDocumentRef()

Uri Aml.Editor.Plugin.MWData.createDocumentRef | ( | string | doc,
|  | string | doctype,
|  | string | externalname,
|  | SystemUnitClassType | systemUnitClass
| ) |  |

inline

Creates the Structur to reference a document and set the correct value doc .

If the structur is already there, it will only update the value.

Parameters

  doc | the absolut path to the document
  doctype | Documenttype like 'Short Guide' or 'Bill of Materials'
  externalname | The name of the externalElement
  systemUnitClass | the systemUnitClass to insert the structure into

Returns

## createPictureRef()

Uri Aml.Editor.Plugin.MWData.createPictureRef | ( | string | pic,
|  | string | pictype,
|  | string | externalname,
|  | SystemUnitClassType | systemUnitClass
| ) |  |

inline

Creates the Structur to reference a picture and set the correct value pic .

If the structur is already there, it will only update the value.

Parameters

  pic | the absolut path to the picture
  pictype | Picturetyp like 'DevicePicture' or 'DeviceIcon'
  externalname | The name of the externalElement
  systemUnitClass | the systemUnitClass to insert the structure into

Returns

## ImportGSD2AML()

string Aml.Editor.Plugin.MWData.ImportGSD2AML | ( | string | filename | ) |

inline

Calls the gsd2aml Converter using System.Reflection the converted gsdml will be saved in an amlx

Parameters

  filename | the path to the gsdml file

Returns
  the result message as a string

## ImportIODD2AML()

string Aml.Editor.Plugin.MWData.ImportIODD2AML | ( | string | filename | ) |

inline

Calls the iodd2aml Converter using System.Reflection the converted iodd will be saved in an amlx

Parameters

  filename | the path to the iodd file

Returns
  the result message as a string

## interneturl()

void Aml.Editor.Plugin.MWData.interneturl | ( | string | url,
|  | string | urltype,
|  | string | externalname,
|  | SystemUnitClassType | systemUnitClass
| ) |  |

inline

Takes the url of the picture and setup in the value attribute of the corresponding internal element pic .

Parameters

  url | the absolut path to the picture or document in the internet
  urltype | Picturetyp like 'DevicePicture' or 'DeviceIcon' and document type like "Short guide" or "Bill of materials" etc
  externalname | The name of the externalElement
  systemUnitClass | the systemUnitClass to insert the structure into

Returns

## SearchAttributesInsideAttributesOFElectricConnectorType()

void Aml.Editor.Plugin.MWData.SearchAttributesInsideAttributesOFElectricConnectorType | ( | string | searchName,
|  | AttributeType | attribute,
|  | ClassOfListsFromReferencefile | item,
|  | ExternalInterfaceType | electricConnectorType
| ) |  |

inline

## SearchForAttributesInsideAttributesofAutomationComponent()

void Aml.Editor.Plugin.MWData.SearchForAttributesInsideAttributesofAutomationComponent | ( | string | searchName,
|  | AttributeType | attribute,
|  | ClassOfListsFromReferencefile | item,
|  | SupportedRoleClassType | SRC
| ) |  |

inline

The documentation for this class was generated from the following file:

- MWData.cs